"use strict";
var view = require("ui/core/view");
var dependencyObservable = require("ui/core/dependency-observable");
var proxy = require("ui/core/proxy");
var CarouselView = (function (_super) {
    __extends(CarouselView, _super);
    function CarouselView() {
        return _super.apply(this, arguments) || this;
    }
    Object.defineProperty(CarouselView.prototype, "position", {
        get: function () {
            return this._getValue(CarouselView.positionProperty);
        },
        set: function (value) {
            this._setValue(CarouselView.positionProperty, value);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CarouselView.prototype, "templateSelector", {
        get: function () {
            return this._getValue(CarouselView.templateSelectorProperty);
        },
        set: function (value) {
            this._setValue(CarouselView.templateSelectorProperty, value);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CarouselView.prototype, "itemsSource", {
        get: function () {
            return this._getValue(CarouselView.itemsSourceProperty);
        },
        set: function (value) {
            this._setValue(CarouselView.itemsSourceProperty, value);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CarouselView.prototype, "interPageSpacing", {
        get: function () {
            return this._getValue(CarouselView.interPageSpacingProperty);
        },
        set: function (value) {
            this._setValue(CarouselView.interPageSpacingProperty, value);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CarouselView.prototype, "interPageSpacingColor", {
        get: function () {
            return this._getValue(CarouselView.interPageSpacingColorProperty);
        },
        set: function (value) {
            this._setValue(CarouselView.interPageSpacingColorProperty, value);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CarouselView.prototype, "orientation", {
        get: function () {
            return this._getValue(CarouselView.orientationProperty);
        },
        set: function (value) {
            this._setValue(CarouselView.orientationProperty, value);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CarouselView.prototype, "showIndicators", {
        get: function () {
            return this._getValue(CarouselView.showIndicatorsProperty);
        },
        set: function (value) {
            this._setValue(CarouselView.showIndicatorsProperty, value);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CarouselView.prototype, "indicatorsShape", {
        get: function () {
            return this._getValue(CarouselView.indicatorsShapeProperty);
        },
        set: function (value) {
            this._setValue(CarouselView.indicatorsShapeProperty, value);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CarouselView.prototype, "indicatorsTintColor", {
        get: function () {
            return this._getValue(CarouselView.indicatorsTintColorProperty);
        },
        set: function (value) {
            this._setValue(CarouselView.indicatorsTintColorProperty, value);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CarouselView.prototype, "indicatorsCurrentPageColor", {
        get: function () {
            return this._getValue(CarouselView.indicatorsCurrentPageColorProperty);
        },
        set: function (value) {
            this._setValue(CarouselView.indicatorsCurrentPageColorProperty, value);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CarouselView.prototype, "animateTransition", {
        get: function () {
            return this._getValue(CarouselView.animateTransitionProperty);
        },
        set: function (value) {
            this._setValue(CarouselView.animateTransitionProperty, value);
        },
        enumerable: true,
        configurable: true
    });
    CarouselView.prototype.insertPage = function (position, bindingContext) {
        return __awaiter(this, void 0, void 0, function () { return __generator(this, function (_a) {
            return [2 /*return*/];
        }); });
    };
    CarouselView.prototype.removePage = function (position) {
        return __awaiter(this, void 0, void 0, function () { return __generator(this, function (_a) {
            return [2 /*return*/];
        }); });
    };
    CarouselView.prototype.setCurrentPage = function (position) { };
    return CarouselView;
}(view.View));
exports.CarouselView = CarouselView;
CarouselView.positionProperty = new dependencyObservable.Property("position", "CarouselView", new proxy.PropertyMetadata(0));
CarouselView.templateSelectorProperty = new dependencyObservable.Property("templateSelector", "CarouselView", new proxy.PropertyMetadata(null));
CarouselView.itemsSourceProperty = new dependencyObservable.Property("itemsSource", "CarouselView", new proxy.PropertyMetadata(null));
CarouselView.interPageSpacingProperty = new dependencyObservable.Property("interPageSpacing", "CarouselView", new proxy.PropertyMetadata(0));
CarouselView.interPageSpacingColorProperty = new dependencyObservable.Property("interPageSpacingColor", "CarouselView", new proxy.PropertyMetadata("#FFFFFF"));
CarouselView.orientationProperty = new dependencyObservable.Property("orientation", "CarouselView", new proxy.PropertyMetadata("horizontal"));
CarouselView.showIndicatorsProperty = new dependencyObservable.Property("showIndicators", "CarouselView", new proxy.PropertyMetadata(true));
CarouselView.indicatorsShapeProperty = new dependencyObservable.Property("indicatorsShape", "CarouselView", new proxy.PropertyMetadata("Circle"));
CarouselView.indicatorsTintColorProperty = new dependencyObservable.Property("indicatorsTintColor", "CarouselView", new proxy.PropertyMetadata("#c0c0c0"));
CarouselView.indicatorsCurrentPageColorProperty = new dependencyObservable.Property("indicatorsCurrentPageColor", "CarouselView", new proxy.PropertyMetadata("#808080"));
CarouselView.animateTransitionProperty = new dependencyObservable.Property("animateTransition", "CarouselView", new proxy.PropertyMetadata(true));
//# sourceMappingURL=carousel-view-common.js.map